Subject: [bug#56426] [PATCH 0/6] Add Julia CSV

From: zimoun <[email-masked]>
Date: Fri, 08 Jul 2022 09:51:59 +0200

Hi,

On Wed, 06 Jul 2022 at 20:05, zimoun <[email-masked]> wrote:

> This series adds Julia CSV reader/writer.  Well, 'CSV.Chunks' fails so then
> the 2 related tests.  I have no clue what could be wrong.  Therefore, I have
> disabled these two ones.

Well, I have no clue why CVS.Chunks fails:

--8<---------------cut here---------------start------------->8---
 :col1  PosLenStringCSV.File basics: Error During Test at
/gnu/store/…-julia-csv-0.10.4/share/julia/loadpath/CSV/test/basics.jl:20
  Got exception outside of a @test
  ArgumentError: unable to iterate chunks from input file source
  Stacktrace:
    [1] CSV.Chunks(source::String; header::Int64, normalizenames::Bool, datarow::Int64, skipto::Int64,
footerskip::Int64, transpose::Bool, comment::Nothing, ignoreemptyrows::Bool, ignoreemptylines::Nothing,
select::Nothing, drop::Nothing, limit::Nothing, buffer_in_memory::Bool, ntasks::Nothing, tasks::Nothing,
rows_to_check::Int64, lines_to_check::Nothing, missingstrings::Vector{String}, missingstring::String,
delim::Nothing, ignorerepeated::Bool, quoted::Bool, quotechar::Char, openquotechar::Nothing,
closequotechar::Nothing, escapechar::Char, dateformat::Nothing, dateformats::Nothing, decimal::UInt8,
truestrings::Vector{String}, falsestrings::Vector{String}, stripwhitespace::Bool, type::Nothing, types::Nothing,
typemap::Dict{Type, Type}, pool::Tuple{Float64, Int64}, downcast::Bool, lazystrings::Bool,
stringtype::Type{PosLenString}, strict::Bool, silencewarnings::Bool, maxwarnings::Int64, debug::Bool,
parsingdebug::Bool, validate::Bool)
      @ CSV /gnu/store/…-julia-csv-0.10.4/share/julia/loadpath/CSV/src/chunks.jl:81
    [2] macro expansion
      @ /gnu/store/…-julia-csv-0.10.4/share/julia/loadpath/CSV/test/basics.jl:510 [inlined]
--8<---------------cut here---------------end--------------->8---

because it just reads:

--8<---------------cut here---------------start------------->8---
510: chunks = CSV.Chunks(joinpath(dir, "promotions.csv"); stringtype=PosLenString)
511: @test sum(length, chunks) == 10000
512: @test Tables.partitions(chunks) === chunks
--8<---------------cut here---------------end--------------->8---

Well, these 3 lines and 2 tests are thus bypassed over the thousands of
other tests. :-)

> I am currently checking some packages for i686-linux but the issues, if any,
> can be addressed later.  Having the feedback from the build will help.

Well, the current situation of i686 is bad [1,2] but unrelated to this
patch series.  Let merge this series which is perfectly fine for x86_64
and then fix the other arch as i686.

1: <https://ci.guix.gnu.org/build/1089455/details>
2: <https://ci.guix.gnu.org/build/1089455/log/raw>

Cheers,
simon